#ifndef EXPORTS_H
#define EXPORTS_H

#include <qdir.h>
#include <qstring.h>
#include <iostream>

#include "mapcenterobj.h"
#include "settings.h"

//using namespace std;

///////////////////////////////////////////////////////////////////////

class ExportBase
{
public:
	ExportBase();
	void setPath(const QString &);
	void setMapCenter (MapCenterObj*);
	void setIndentPerDepth (QString);
protected:  
	QString getSectionString (BranchObj*);
public:	
	void exportXML();

protected:
	QDir outdir;
	QString filepath;
	MapCenterObj *mapCenter;
	QString	indentPerDepth;
};

///////////////////////////////////////////////////////////////////////
class ExportLaTeX:public ExportBase
{
public:
	void exportLaTeX();
};	

///////////////////////////////////////////////////////////////////////
class ExportOO:public ExportBase
{
public:
	ExportOO();
	~ExportOO();
	void exportPresentation();
	void setConfigFile (const QString &);
private:
	QString buildList (BranchObj*);
	QDir tmpDir;
	bool useChapters;
	QString configFile;
	QString configDir;
	QString templateDir;
	QString content;
	QString contentTemplate;
	QString contentTemplateFile;
	QString contentFile;
	QString outputFile;
	QString pageTemplate;
	QString pageTemplateFile;
	QString chapterTemplate;
	QString chapterTemplateFile;
};
#endif
